libstdc++: std::unary_negate< _Predicate > Class Template Reference

libstdc++

std::unary_negate< _Predicate > Class Template Reference
Utilities » Function Objects » Negators

`#include <stl_function.h>`

Inheritance diagram for std::unary_negate< _Predicate >:
[legend]

## Public Types
typedef _Predicate::argument_type | argument_type
typedef bool | result_type

## Public Member Functions
constexpr | unary_negate (const _Predicate &__x)
constexpr bool | operator() (const typename _Predicate::argument_type &__x) const

## Protected Attributes
_Predicate | _M_pred

## Detailed Description

template<typename _Predicate>
class std::unary_negate< _Predicate >

One of the negation functors.

Definition at line 1112 of file stl_function.h.

## Member Typedef Documentation

## ◆ argument_type

typedef _Predicate::argument_type std::unary_function< _Predicate::argument_type, bool >::argument_type
| inherited

`argument_type` is the type of the argument

Definition at line 123 of file stl_function.h.

## ◆ result_type

typedef bool std::unary_function< _Predicate::argument_type, bool >::result_type
| inherited

`result_type` is the return type

Definition at line 126 of file stl_function.h.

## Constructor & Destructor Documentation

## ◆ unary_negate()

template<typename _Predicate>

std::unary_negate< _Predicate >::unary_negate | ( | const _Predicate & | __x | ) |
| inlineexplicitconstexpr

Definition at line 1121 of file stl_function.h.

## Member Function Documentation

## ◆ operator()()

template<typename _Predicate>

bool std::unary_negate< _Predicate >::operator() | ( | const typename _Predicate::argument_type & | __x | ) | const
| inlineconstexpr

Definition at line 1125 of file stl_function.h.

## Member Data Documentation

## ◆ _M_pred

template<typename _Predicate>

_Predicate std::unary_negate< _Predicate >::_M_pred
| protected

Definition at line 1116 of file stl_function.h.

The documentation for this class was generated from the following file:

- stl_function.h